> ## Documentation Index
> Fetch the complete documentation index at: https://anaconda.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove User

> Removes a user from the organization.

<Warning>
  To fully remove a user from your organization, complete these steps in order:

  1. [Revoke the user's token](/docs/anaconda-platform/admin/org-management-api/revoke-user-token)
  2. [Revoke the user's seat](/docs/anaconda-platform/admin/org-management-api/revoke-seat)
  3. Remove the user (this endpoint)
</Warning>


## OpenAPI

````yaml DELETE /api/v1/organizations/{org_id}/users/{user_id}
openapi: 3.1.0
info:
  title: Organization Management API
  version: 1.0.0
servers:
  - url: https://anaconda.com
    description: Anaconda Cloud
security: []
paths:
  /api/v1/organizations/{org_id}/users/{user_id}:
    delete:
      tags:
        - organizations
      summary: Remove User
      description: Removes a user from the organization.
      operationId: remove_user
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
          description: >-
            Your organization ID, found in your organization's URL:
            `anaconda.com/app/organizations/<ORG_ID>/`.
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: The unique identifier of the user to remove.
      responses:
        '204':
          description: User removed successfully
        '404':
          description: User not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '409':
          description: Request conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - JWT or Access Token: []
components:
  schemas:
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetails'
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          description: A list of validation errors.
          items:
            $ref: '#/components/schemas/ValidationError'
    ErrorDetails:
      type: object
      required:
        - message
        - code
      properties:
        message:
          type: string
          description: A human-readable error message.
        code:
          type: string
          description: An error code identifying the type of error.
        data:
          description: Additional error context, if available.
    ValidationError:
      type: object
      required:
        - loc
        - msg
        - type
      properties:
        loc:
          type: array
          items:
            type: string
          description: >-
            The location of the validation error (for example, `["body",
            "name"]`).
        msg:
          type: string
          description: A human-readable validation error message.
        type:
          type: string
          description: The type of validation error.
  securitySchemes:
    JWT or Access Token:
      bearerFormat: JWT
      description: >-
        Bearer token obtained by authenticating with [service
        account](/anaconda-platform/admin/service-accounts) credentials
        (`client_id` and `client_secret`).


        See the [Getting
        started](/anaconda-platform/admin/org-management-api/org-management-api)
        page for the full authentication flow.
      scheme: bearer
      type: http

````